(*
	trackPlayingBC4.applescript for TunesTEXT
	ver 1.0
		for iTunes 4
			lyrics property is new feature in iTunes 5
			video kind property is new feature in iTunes 7
*)

tell application "iTunes"
	if exists (database ID of current track) then
		set theTrack to the current track
		set trackName to the name of theTrack
		set trackAlbum to the album of theTrack
		set trackArtist to the artist of theTrack
		
		set trackSource to "normal"
		if class of theTrack as string is "URL track" then set trackSource to "radio"
		try
			if podcast of theTrack then set trackSource to "podcast"
		end try
		
		set trackVideoKind to ""
		(*
		try
			if video kind of theTrack is movie then set trackVideoKind to "movie"
			if video kind of theTrack is music video then set trackVideoKind to "music video"
			if video kind of theTrack is TV show then set trackVideoKind to "TV show"
		end try
*)
		
		set trackLocation to ""
		try
			set trackLocation to location of theTrack
			set trackLocation to POSIX path of trackLocation
		end try
		
		set trackLyrics to ""
		(*
		try
			set trackLyrics to lyrics of theTrack
		end try
*)
		
		set trackID to database ID of theTrack
		
		set trackArtwork to null
		try
			set trackArtwork to raw data of artwork 1 of theTrack
--			set trackArtwork to (data of artwork 1 of theTrack) as picture
		end try
		
		set trackProperty to {trackName, trackAlbum, trackArtist, trackSource, trackVideoKind, trackLocation, trackLyrics, trackID, trackArtwork}
	else
		set trackProperty to {}
	end if
end tell
return trackProperty
