(*
	tracksSelected.applescript for TunesTEXT
	ver 1.0
		for iTunes 7 or later
*)

set selectedTracksProperty to {}
tell application "iTunes"
	set selectedTracks to the selection of browser window 1
	repeat with i from 1 to the count of selectedTracks
		set theTrack to item i of selectedTracks
		set trackProperty to {}
		if exists (database ID of theTrack) then
			set trackName to the name of theTrack
			set trackAlbum to the album of theTrack
			set trackArtist to the artist of theTrack
			
			set trackSource to "normal"
			if class of theTrack as string is "URL track" then set trackSource to "radio"
			try
				if podcast of theTrack then set trackSource to "podcast"
			end try
			
			set trackVideoKind to ""
			try
				if video kind of theTrack is movie then set trackVideoKind to "movie"
				if video kind of theTrack is music video then set trackVideoKind to "music video"
				if video kind of theTrack is TV show then set trackVideoKind to "TV show"
			end try
			
			set trackLocation to ""
			try
				set trackLocation to location of theTrack
				set trackLocation to POSIX path of trackLocation
			end try
			
			set trackLyrics to ""
			try
				set trackLyrics to lyrics of theTrack
			end try
			
			set trackID to database ID of theTrack
			
			set trackArtwork to null
			try
				set trackArtwork to (data of artwork 1 of theTrack) as picture
			end try
			
			set trackProperty to {trackName, trackAlbum, trackArtist, trackSource, trackVideoKind, trackLocation, trackLyrics, trackID, trackArtwork}
			set the end of selectedTracksProperty to trackProperty
		else
			set selectedTracksProperty to {}
		end if
	end repeat
end tell
return selectedTracksProperty
